#ifndef XMLNEWS_META_TAGS_H
#define XMLNEWS_META_TAGS_H

#ifdef	__cplusplus
extern "C" {
#endif

typedef enum {
	UNKNOWN_META_TAG = 0,
	CHILD_TAG,
	CLASSIFICATION_TAG,
	COMPANY_CODE_TAG,
	COMPANY_NAME_TAG,
	COPYRIGHT_TAG,
	CREATOR_TAG,
	DATELINE_TAG,
	DESCRIPTION_TAG,
	DISTRIBUTION_RIGHTS_TAG,
	DISTRIBUTOR_CODE_TAG,
	DISTRIBUTOR_NAME_TAG,
	EVENT_CODE_TAG,
	EVENT_NAME_TAG,
	EXPIRE_TIME_TAG,
	FIXTURE_CODE_TAG,
	FIXTURE_NAME_TAG,
	INDUSTRY_CODE_TAG,
	INDUSTRY_NAME_TAG,
	LANGUAGE_TAG,
	LOCATION_CODE_TAG,
	LOCATION_NAME_TAG,
	NEXT_VERSION_TAG,
	PARENT_TAG,
	PERSON_CODE_TAG,
	PERSON_NAME_TAG,
	PREVIOUS_VERSION_TAG,
	PRIORITY_TAG,
	PROVIDER_CODE_TAG,
	PROVIDER_NAME_TAG,
	PUBLICATION_TIME_TAG,
	RECEIVED_TIME_TAG,
	RELEASE_TIME_TAG,
	RENDITION_TAG,
	RESOURCE_ID_TAG,
	SERVICE_CODE_TAG,
	SERVICE_NAME_TAG,
	SOURCE_CODE_TAG,
	SOURCE_NAME_TAG,
	SUBJECT_CODE_TAG,
	SUBJECT_NAME_TAG,
	META_TITLE_TAG,
	URL_TAG,
	VENDOR_DATA_TAG
} XMLNEWS_META_TAG;

typedef struct {
	char name[35];
	XMLNEWS_META_TAG type;
} XMLNEWS_META_TAG_LIST;


#ifdef	__cplusplus
}
#endif

#endif	/* XMLNEWS_META_TAGS_H */
